javax.sound.sampled

## Interface LineListener

- All Superinterfaces:
    EventListener

      public interface LineListener
      extends EventListener

  Instances of classes that implement the `LineListener` interface can register to receive events when a line's status changes.
  Since:
    1.3
  See Also:
    `Line`, `Line.addLineListener(javax.sound.sampled.LineListener)`, `Line.removeLineListener(javax.sound.sampled.LineListener)`, `LineEvent`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `update(LineEvent event)` Informs the listener that a line's state has changed.

- - ### Method Detail

    - #### update

          void update(LineEvent event)

      Informs the listener that a line's state has changed. The listener can then invoke `LineEvent` methods to obtain information about the event.
      Parameters:
        `event` - a line event that describes the change

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.